<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.platform.security</groupId>
    <artifactId>jaas</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.platform.security.jaas</groupId>
  <artifactId>entaxy-legacy-auth</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: SECURITY :: JAAS :: LEGACY AUTH</name>
  <description>ENTAXY :: SECURITY :: JAAS :: LEGACY AUTH</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.platform.runtime.security.jaas.modules.entaxylegacy
        </bundle.osgi.export.pkg>
        <bundle.osgi.import.pkg>
            ru.entaxy.esb.system.auth.basic.jpa.api,
            ru.entaxy.esb.system.auth.basic.jpa.api.entity,
            ru.entaxy.esb.system.auth.basic.jpa.api.entity.field,
            ru.entaxy.esb.system.auth.basic.htpasswd,
            ru.entaxy.esb.system.auth.basic.jpa.api.exception,
            ru.entaxy.esb.system.core.permission.jpa.entity,
            ru.entaxy.esb.system.common.util,
            javax.persistence;version="[2,3)",
            org.hibernate,
            org.hibernate.cfg,
            org.hibernate.service,
            org.hibernate.jpa,
            org.hibernate.proxy,
            javassist.util.proxy,
            org.apache.commons.codec.binary,
            *
        </bundle.osgi.import.pkg>
        <bundle.osgi.private.pkg>ru.entaxy.esb.system.common.util,
        	ru.entaxy.esb.system.auth.basic.jpa.impl,
        	ru.entaxy.esb.system.auth.basic.jpa.listener,
        	ru.entaxy.esb.system.auth.basic.jpa.util,
        	ru.entaxy.esb.system.auth.basic.interceptor</bundle.osgi.private.pkg>
    </properties>

    <build>
    <plugins>
      <plugin>
        <groupId>org.apache.felix</groupId>
        <artifactId>maven-bundle-plugin</artifactId>
        <extensions>true</extensions>
        <configuration>
          <instructions>
            <Entaxy-Factory-Provider>true</Entaxy-Factory-Provider>
            <Entaxy-Template-Provider>true</Entaxy-Template-Provider>
          </instructions>
        </configuration>
      </plugin>
    </plugins>
  </build>

    <dependencies>

        <!-- dependency>
            <groupId>ru.entaxy.esb.system.commons</groupId>
            <artifactId>system-commons</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency -->
        
        <dependency>
		  <groupId>ru.entaxy.platform.security.jaas</groupId>
		  <artifactId>entaxy-legacy-auth-api</artifactId>
            <version>${project.version}</version>
		</dependency>
	<dependency>
		    <groupId>ru.entaxy.esb.system.auth.basic.htpasswd</groupId>
		    <artifactId>htpasswd</artifactId>
            <version>${project.version}</version>
	</dependency>	
 	 <dependency>
	 	<groupId>org.apache.karaf.jaas</groupId>
	 	<artifactId>org.apache.karaf.jaas.modules</artifactId>
	 	<version>${karaf.version}</version>
	 </dependency>  
	        
        <dependency>
            <groupId>com.sun.istack</groupId>
            <artifactId>istack-commons-runtime</artifactId>
            <version>3.0.7</version>
        </dependency>
        
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
            <artifactId>base-support</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.registry.systems</groupId>
            <artifactId>system-api</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <!-- dependency>
            <groupId>ru.entaxy.esb.system.core.permission</groupId>
            <artifactId>permission-api</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.core.permission</groupId>
            <artifactId>permission-common</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency -->
        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>${commons-codec.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-cxf</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.camel.karaf</groupId>
            <artifactId>camel-cxf-blueprint</artifactId>
            <version>${camel.version}</version>
        </dependency>        
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>osgi.core</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.eclipse.persistence</groupId>
            <artifactId>javax.persistence</artifactId>
            <version>${jpa.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.transaction</groupId>
            <artifactId>javax.transaction-api</artifactId>
            <version>${javax.transaction.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.interceptor</groupId>
            <artifactId>javax.interceptor-api</artifactId>
            <version>${javax.interceptor.version}</version>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
            <version>${hibernate.version}</version>
        </dependency>

    </dependencies>    
  
</project>
